"use strict";
var content_view_1 = require('ui/content-view');
var Shimmer = (function (_super) {
    __extends(Shimmer, _super);
    function Shimmer() {
        _super.apply(this, arguments);
        this._enabled = true;
    }
    Object.defineProperty(Shimmer.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Shimmer.prototype, "_nativeView", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Shimmer.prototype, "enabled", {
        get: function () {
            return this._enabled;
        },
        set: function (value) {
            this._enabled = value;
            if (this._android) {
                if (value) {
                    this._android.startShimmerAnimation();
                }
                else {
                    this._android.stopShimmerAnimation();
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    Shimmer.prototype._createUI = function () {
        this._android = new com.facebook.shimmer.ShimmerFrameLayout(this._context);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._android.setId(this._androidViewId);
        if (this._enabled)
            this.enabled = true;
    };
    return Shimmer;
}(content_view_1.ContentView));
exports.Shimmer = Shimmer;
